package main

import (
	"fmt"
	"os/exec"
)

var mongoBasePath = "/opt/my-mongo"
var replicasetName = "techtransthai-db"
var networkName = "mongonet"
var numberOfContainers int = 5
var maxMemAllocPercent int = 95
var mongoInitdbRootUsername = "sasha"
var mongoInitdbRootPassword = "12345"



func genKeys() {
	fmt.Printf("\n\033[1;32mGenerating keys\033[0m\n")

	keyfileLocation := mongoBasePath + "/mongodb-keyfile"
	exec.Command("/usr/bin/openssl rand -base64 741 > ", keyfileLocation)
	exec.Command("/usr/bin/chmod 600 ", keyfileLocation)
	exec.Command("/usr/bin/chown 999 ", keyfileLocation)
}

func main() {
	check_root()
	check_settings()
	instDeps()
	genKeys()
	dockerNetworkCreate()
	dockerPullMongo()
	dockerRunMongo()
	initReplMongo()
}